## org.apache.hadoop.hive.jdbc
Class HiveDataSource

    java.lang.Object
      org.apache.hadoop.hive.jdbc.HiveDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, DataSource

    public class HiveDataSource

extends Object
implements DataSource

HiveDataSource.

Constructor Summary
`HiveDataSource()`

Method Summary
`Connection` `getConnection()`
`Connection` `getConnection(String username, String password)`
`int` `getLoginTimeout()`
`PrintWriter` `getLogWriter()`
`Logger` `getParentLogger()`
`boolean` `isWrapperFor(Class<?> arg0)`
`void` `setLoginTimeout(int arg0)`
`void` `setLogWriter(PrintWriter arg0)`

`

`<T> T`

`

`unwrap(Class<T> arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HiveDataSource

    public HiveDataSource()

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String username,
                                    String password)
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Specified by:
    `getLogWriter` in interface `CommonDataSource`
  Throws:
    `SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Specified by:
    `getLoginTimeout` in interface `CommonDataSource`
  Throws:
    `SQLException`

### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

  Throws:
    `SQLFeatureNotSupportedException`

### setLogWriter

    public void setLogWriter(PrintWriter arg0)
                      throws SQLException

  Specified by:
    `setLogWriter` in interface `CommonDataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int arg0)
                         throws SQLException

  Specified by:
    `setLoginTimeout` in interface `CommonDataSource`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> arg0)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> arg0)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

Copyright © 2014 The Apache Software Foundation. All rights reserved.